Loyalty.lt
Games

Restart a game

Starts a fresh round for a customer after the previous one finished.

POST/{locale}/shop/games/{id}/restart

Starts a fresh round for a customer after the previous one finished.

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Locale code

Value in

  • "lt"
  • "en"
id*integer

Game ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/lt/shop/games/1/restart" \  -H "Content-Type: application/json" \  -d '{    "card_id": 45,    "shop_id": 1  }'
{  "success": true,  "code": 200,  "request_id": "550e8400-e29b-41d4-a716-446655440000",  "message": "Success message",  "data": {}}